HomeSort by relevance Sort by last modified time
    Searched refs:testdir (Results 1 - 25 of 83) sorted by null

1 2 3 4

  /build/kati/
pathutil_test.go 147 fs.add(fs.dir, "testdir")
155 cmd: "find testdir",
157 finddirs: []string{"testdir"},
179 cmd: "find testdir/../testdir",
181 finddirs: []string{"testdir/../testdir"},
187 cmd: "find testdir -print",
189 finddirs: []string{"testdir"},
195 cmd: "find testdir -name foo"
    [all...]
find.h 44 string testdir; member in struct:FindCommand
  /external/flatbuffers/tests/
JavaTest.sh 23 testdir="$(readlink -fn "$(dirname "$0")")"
25 targetdir="${testdir}/target"
34 if ! find "${testdir}/../java" -type f -name "*.class" -delete; then
39 javac -d "${targetdir}" -classpath "${testdir}/../java:${testdir}:${testdir}/namespace_test" "${testdir}/JavaTest.java"
41 (cd "${testdir}" && java -classpath "${targetdir}" JavaTest )
  /build/kati/testcase/
find_command.mk 19 mkdir testdir
20 touch testdir/file1
21 touch testdir/file2
22 mkdir testdir/dir1
23 touch testdir/dir1/file1
24 touch testdir/dir1/file2
25 touch testdir/dir1/file3
26 mkdir testdir/dir2
27 touch testdir/dir2/file1
28 touch testdir/dir2/file
    [all...]
  /external/libpng/contrib/libtests/
gentests.sh 34 testdir="tests"
36 testdir="$1"
42 if test -e "$testdir"
44 test -d "$testdir" || usage
47 mkdir "$testdir" 2>/dev/null || mkdir -p "$testdir" || usage
51 cd "$testdir"
54 echo "$testdir: directory not writable"
59 echo "$testdir: you have create but not write privileges here."
  /external/toybox/scripts/
test.sh 8 rm -rf generated/testdir
9 mkdir -p generated/testdir/testdir
15 PREFIX=generated/testdir/ scripts/single.sh "$@" || exit 1
17 make install_flat PREFIX=generated/testdir || exit 1
21 cd generated/testdir
23 cd testdir
60 rm -rf testdir && mkdir testdir && cd testdir || exit
    [all...]
  /external/toybox/tests/
chown.test 20 rm -rf testdir &&
21 mkdir testdir &&
22 touch testdir/file
23 F=testdir/file
27 OUT="&& echo \$(ls -l testdir/file | awk '{print \$3,\$4}')"
41 rm -rf testdir
chgrp.test 18 rm -rf testdir &&
19 mkdir -p testdir/dir/dir/dir testdir/dir2 &&
20 touch testdir/dir/file &&
21 ln -s ../dir/dir testdir/dir2/dir &&
22 ln -s ../dir/file testdir/dir2/file || exit 1
26 IN="cd testdir && chgrp -R $GRP dir dir2 &&"
27 OUT="&& cd .. && echo \$(ls -lR testdir | awk '{print \$4}')"
102 rm -rf testdir
  /dalvik/dx/tests/
run-test 76 testdir=`basename "$oldwd"`
78 testdir="$1"
81 if [ '!' -d "$testdir" ]; then
82 td2=`echo ${testdir}-*`
84 echo "${testdir}: no such test directory" 1>&2
87 testdir="$td2"
110 td_info="${testdir}/${info}"
111 td_run="${testdir}/${run}"
112 td_expected="${testdir}/${expected}"
116 echo "${testdir}: missing file $td_file" 1>&
    [all...]
  /external/autotest/client/tests/synctest/
synctest.py 19 def run_once(self, len, loop, testdir=None):
22 if testdir:
23 os.chdir(testdir)
  /external/autotest/client/tests/fsstress/
fsstress.py 23 def run_once(self, testdir = None, extra_args = '', nproc = '1000', nops = '1000'):
24 if not testdir:
25 testdir = self.tmpdir
27 args = '-d %s -p %s -n %s %s' % (testdir, nproc, nops, extra_args)
  /external/mesa3d/src/compiler/glsl/glcpp/tests/
glcpp-test 4 testdir=$srcdir/glsl/glcpp/tests
8 testdir=.
24 --testdir=<DIR> Use tests in the given <DIR> (default is ".")
46 "--testdir="*)
47 testdir="${option#--testdir=}"
48 outdir="${outdir}/${option#--testdir=}"
66 for test in $testdir/*.c; do
87 for test in $testdir/*.c; do
glcpp-test-cr-lf 9 testdir="$srcdir/glsl/glcpp/tests"
12 testdir=.
87 for file in "$testdir"/*.c; do
92 ${glcpp_test} --testdir=subtest-lf >/dev/null 2>&1
99 for file in "$testdir"/*.c; do
105 run_test "${glcpp_test} --testdir=subtest-cr"
112 for file in "$testdir"/*.c; do
119 run_test "${glcpp_test} --testdir=subtest-cr-lf"
126 for file in "$testdir"/*.c; do
133 run_test "${glcpp_test} --testdir=subtest-lf-cr
    [all...]
  /external/autotest/client/tests/bash_shared_mapping/
bash_shared_mapping.py 21 def execute(self, testdir = None, iterations = 10000):
22 if not testdir:
23 testdir = self.tmpdir
24 os.chdir(testdir)
25 file = os.path.join(testdir, 'foo')
  /external/ltp/testcases/kernel/controllers/cpuset/
cpuset_regression_test.sh 85 if [ -d "${root_cpuset_dir}/testdir" ]; then
86 rmdir ${root_cpuset_dir}/testdir
114 ROD_SILENT mkdir ${root_cpuset_dir}/testdir
117 echo 1 > ${root_cpuset_dir}/testdir/${cpu_exclusive}
120 "${root_cpuset_dir}/testdir/${cpu_exclusive}'" \
125 ${root_cpuset_dir}/testdir/${cpu_exclusive})
132 echo 0-1 > ${root_cpuset_dir}/testdir/${cpus}
135 "${root_cpuset_dir}/testdir/${cpus}' failed"
138 local cpus_value=$(cat ${root_cpuset_dir}/testdir/${cpus})
  /external/ltp/testcases/network/nfsv4/acl/
runtest 10 ACLTESTDIR=testdir
56 mkdir $NFSMNTDIR/lacl-testdir
57 python test_long_acl.py -l $MAXLENGTH -p $NFSMNTDIR/lacl-testdir
58 rm -rf $NFSMNTDIR/lacl-testdir
  /external/autotest/client/tests/connectathon/
connectathon.py 36 def run_once(self, testdir=None, args='', cthon_iterations=1):
42 if testdir is None:
43 testdir = self.tmpdir
54 (cthon_iterations, args, testdir))
  /external/autotest/client/tests/spew/
spew.py 22 def run_once(self, testdir = None, filesize='100M', type='write',
25 if not testdir:
26 testdir = self.tmpdir
27 tmpfile = os.path.join(testdir, 'spew-test.%d' % os.getpid())
  /external/ltp/testcases/kernel/syscalls/chdir/
chdir01.c 67 char testdir[40] = ""; variable
86 SAFE_CHDIR(cleanup, testdir);
149 sprintf(testdir, "Testdir.%d", getpid());
151 SAFE_MKDIR(cleanup, testdir, 0700);
  /external/ltp/testcases/kernel/syscalls/mkdirat/
mkdirat01.c 89 static char testdir[256]; local
93 sprintf(testdir, "mkdirattestdir%d_%d", getpid(), i);
99 SAFE_MKDIR(cleanup, testdir, 0700);
100 dir_fd = SAFE_OPEN(cleanup, testdir, O_DIRECTORY);
  /external/autotest/site_utils/
generate_test_report 87 def _CollectPerf(self, testdir):
88 """Parses keyval file under testdir and return the perf keyval pairs.
90 @param testdir: autoserv test result directory path.
97 return self._CollectKeyval(testdir, 'perf')
99 def _CollectAttr(self, testdir):
100 """Parses keyval file under testdir and return the attr keyval pairs.
102 @param testdir: autoserv test result directory path.
109 return self._CollectKeyval(testdir, 'attr')
111 def _CollectKeyval(self, testdir, keyword):
112 """Parses keyval file under testdir
    [all...]
  /external/ltp/testcases/kernel/syscalls/utils/
common_j_h.c 148 int setup_file(char *testdir, char *fname, char *path)
150 return _setup_file(testdir, fname, path,
154 int _setup_file(char *testdir, char *fname, char *path, int flags, mode_t mode)
158 sprintf(path, "%s/%s", testdir, fname);
178 int setup_swapfile(char *testdir, char *fname, char *path, size_t size)
186 sprintf(path, "%s/%s", testdir, fname);
include_j_h.h 131 int _setup_file(char *testdir, char *fname, char *path, int flags, mode_t mode);
132 int setup_file(char *testdir, char *fname, char *path);
135 int setup_swapfile(char *testdir, char *fname, char *path, size_t size);
  /system/extras/tests/workloads/
pwrsummary.sh 143 testdir=$1
158 printf "%s,%s,%s\n" $testdir "$build" "no data"
160 printf "%-30s %-8s %12.12s\n" $testdir "$build" "no data"
196 printf "%s,%s,%f,%f,%f,%f,%f,%f," $testdir "$build" $minperf $aveperf $maxperf $current $baselinePower $power
199 printf "%-30s %-8s %12.2f %12.2f %12.2f %12.2f %12.2f %12.2f " $testdir "$build" $minperf $aveperf $maxperf $current $baselinePower $power
  /external/autotest/client/bin/
setup_job.py 42 def init_test(options, testdir):
48 @param testdir The test directory.
55 locals_dict['testdir'] = testdir
60 test_name = os.path.split(testdir)[-1]
68 sys.path.insert(0, testdir)
73 init_stmt = ('auto_test = %s.%s(job, testdir, outputdir)' %
112 testdir = os.path.join(os.environ['AUTODIR'], test_base_dir)
113 for test_name in sorted(os.listdir(testdir)):
114 client_test = init_test(options, os.path.join(testdir, test_name)
    [all...]

Completed in 643 milliseconds

1 2 3 4